Bug 5590 - Build OpenCV without Qt4 support
: Build OpenCV without Qt4 support
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
Depends on:
  Show dependency treegraph
Reported: 2015-05-22 03:11 MSD by Andrey Bondrov
Modified: 2015-06-01 17:49 MSD (History)
3 users (show)

See Also:
RPM Package: opencv
Bad POT generating:
vladimir.potapov: qa_verified+
denis.silakov: published+


Note You need to log in before you can comment on or make changes to this bug.
Description Andrey Bondrov 2015-05-22 03:11:16 MSD
We need to build OpenCV without Qt4 support to avoid crash in Qt5 applications.
Comment 1 Andrey Bondrov 2015-05-22 03:14:47 MSD
Advisory: "Build OpenCV without Qt4 support to avoid crash in Qt5 applications"


Qt4 is used by libopencv_highgui2.4, so please pay more attention to applications that use libopencv_highgui2.4. Also please test kdenlive, it uses OpenCV via frei0r-plugins.
Comment 2 FirstLevel 2015-05-26 14:16:57 MSD
32bit and 64bit

install all opencv packages, plug container, update - ok
plug container, install all opencv packages - ok
urpmi kdenlive, launch it - ok
Comment 3 Vladimir Potapov 2015-05-26 14:35:52 MSD
Я наблюдаю видеоглюки при открытии мастера создания DVD после кодирования.
Но от обновления они никак не зависят.
Comment 4 Vladimir Potapov 2015-05-26 14:39:26 MSD
The update is sent to expanded testing
Comment 5 Vladimir Potapov 2015-06-01 16:31:11 MSD
********************************* Advisory ****************************
Build OpenCV without Qt4 support to avoid crash in Qt5 applications
QA Verified